Page MenuHomePhabricator

Deprecated: Use of SpecialRecentChangesFilters hook (used in FlaggedRevsUIHooks::addHideReviewedFilter) was deprecated in MediaWiki 1.23
Closed, ResolvedPublic

Description

Deprecated: Use of SpecialRecentChangesFilters hook (used in FlaggedRevsUIHooks::addHideReviewedFilter) was deprecated in MediaWiki 1.23. [Call
ed from wfRunHooks in /srv/vagrant/mediawiki/includes/GlobalFunctions.php at line 4031] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on
 line 303

Call Stack:
    0.0010     253072   1. {main}() /srv/vagrant/mediawiki/tests/phpunit/phpunit.php:0
    7.2902   60032248   2. MediaWikiPHPUnitCommand::main() /srv/vagrant/mediawiki/tests/phpunit/phpunit.php:160
    7.2902   60044720   3. PHPUnit_TextUI_Command->run() /srv/vagrant/mediawiki/tests/phpunit/MediaWikiPHPUnitCommand.php:42
   45.1983  275915296   4. PHPUnit_TextUI_TestRunner->doRun() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php:176
   45.2038  276231264   5. PHPUnit_Framework_TestSuite->run() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php:350
   45.4965  276233504   6. PHPUnit_Framework_TestSuite->run() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:709
 3091.3608 1411435360   7. PHPUnit_Framework_TestSuite->run() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:709
 3091.3609 1411436392   8. PHPUnit_Framework_TestSuite->runTest() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:749
 3091.3609 1411436872   9. MediaWikiTestCase->run() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:779
 3091.3667 1411440504  10. PHPUnit_Framework_TestCase->run() /srv/vagrant/mediawiki/tests/phpunit/MediaWikiTestCase.php:133
 3091.3668 1411440992  11. PHPUnit_Framework_TestResult->run() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php:783
 3091.3671 1411443280  12. PHPUnit_Framework_TestCase->runBare() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php:648
 3091.3674 1411461680  13. PHPUnit_Framework_TestCase->runTest() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php:838
 3091.3675 1411462472  14. ReflectionMethod->invokeArgs() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php:988
 3091.3675 1411462544  15. SpecialRecentchangesTest->testRcNsFilter() /srv/vagrant/mediawiki/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php:988
 3091.3675 1411463808  16. SpecialRecentchangesTest->assertConditions() /srv/vagrant/mediawiki/tests/phpunit/includes/specials/SpecialRecentchangesTest.php:59
 3091.3714 1411775040  17. ChangesListSpecialPage->setup() /srv/vagrant/mediawiki/tests/phpunit/includes/specials/SpecialRecentchangesTest.php:27
 3091.3802 1411823952  18. SpecialRecentChanges->getCustomFilters() /srv/vagrant/mediawiki/includes/specialpage/ChangesListSpecialPage.php:110
 3091.3803 1411824768  19. wfRunHooks() /srv/vagrant/mediawiki/includes/specials/SpecialRecentchanges.php:98
 3091.3803 1411824768  20. Hooks::run() /srv/vagrant/mediawiki/includes/GlobalFunctions.php:4031
 3091.3804 1411826160  21. wfDeprecated() /srv/vagrant/mediawiki/includes/Hooks.php:202
 3091.3804 1411826320  22. MWDebug::deprecated() /srv/vagrant/mediawiki/includes/GlobalFunctions.php:1175
 3091.3808 1411831304  23. MWDebug::sendMessage() /srv/vagrant/mediawiki/includes/debug/MWDebug.php:236
 3091.3808 1411831648  24. trigger_error() /srv/vagrant/mediawiki/includes/debug/MWDebug.php:303

Version: master
Severity: normal

Details

Reference
bz68999

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:27 AM
bzimport set Reference to bz68999.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Aug 1 2014, 11:20 AM
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2016, 9:09 PM
Reedy updated the task description. (Show Details)Oct 16 2016, 6:39 PM
Reedy set Security to None.
Reedy removed a subscriber: wikibugs-l-list.

Change 316240 had a related patch set uploaded (by Reedy):
Replace SpecialRecentChangesFilters hook with ChangesListSpecialPageFilters

https://gerrit.wikimedia.org/r/316240

Reedy added a subscriber: Reedy.Oct 16 2016, 6:46 PM
'SpecialRecentChangesFilters': DEPRECATED! Use ChangesListSpecialPageFilters
instead.
Called after building form options at RecentChanges.
$special: the special page object
&$filters: associative array of filter definitions. The keys are the HTML
  name/URL parameters. Each key maps to an associative array with a 'msg'
  (message key) and a 'default' value.

vs

'ChangesListSpecialPageFilters': Called after building form options on pages
inheriting from ChangesListSpecialPage (in core: RecentChanges,
RecentChangesLinked and Watchlist).
$special: ChangesListSpecialPage instance
&$filters: associative array of filter definitions. The keys are the HTML
  name/URL parameters. Each key maps to an associative array with a 'msg'
  (message key) and a 'default' value.

Change 316240 merged by jenkins-bot:
Replace SpecialRecentChangesFilters and SpecialWatchlistFilters hooks with ChangesListSpecialPageFilters

https://gerrit.wikimedia.org/r/316240

Krinkle removed a subscriber: Krinkle.Jan 4 2017, 5:02 AM
Reedy closed this task as Resolved.Apr 13 2017, 12:31 PM
Reedy claimed this task.

No idea why this is still open

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 13 2017, 12:31 PM